Summary: WMI client for Linux
Name: wmi
Version: 1.3.14
Release: 6%{?dist}
BuildArch: x86_64
Group: System Environment/Libraries
License: GPL
Source: %{name}-%{version}.tar.bz2
Patch0: openvas-wmi-%{version}.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Atomicorp, http://www.atomicorp.com

BuildRequires: autoconf

%description
WMI client and libraries.

%prep
%setup
%patch0 -p1

# create the pkgconfig
%{__cat} <<EOF > wmiclient.pc

prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_prefix}/lib
includedir=%{_prefix}/include

Name: wmiclient
Description: wmiclient library for OpenVAS
 Version: 1.3.14
 Requires:
Cflags: -I%{_includedir} -I%{_includedir}/openvas
Libs: -L%{_prefix}/lib
EOF


%build

cd Samba/source
 ./autogen.sh
./configure
make proto all "CPP=gcc -E -ffreestanding"
make libraries "CPP=gcc -E -ffreestanding"

# Cleanup linking 
pushd wmi
  ln -sf libwmiclient.so.1 libwmiclient.so 
popd

%install
make "DESTDIR=${RPM_BUILD_ROOT}/%{_prefix}/" install

mkdir -p  $RPM_BUILD_ROOT/%{_prefix}/lib/
mkdir -p  $RPM_BUILD_ROOT/%{_prefix}/lib/pkgconfig
%{__install} -m 0644 wmiclient.pc $RPM_BUILD_ROOT/%{_prefix}/lib/pkgconfig/wmiclient.pc
%{__install} -m 0755 Samba/source/wmi/libwmiclient.so.1 $RPM_BUILD_ROOT/%{_prefix}/lib/libwmiclient.so.1
%{__install} -m 0755 Samba/source/wmi/libwmiclient.so $RPM_BUILD_ROOT/%{_prefix}/lib/libwmiclient.so



%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/winexe
%{_bindir}/wmic
%{_prefix}/lib/python/libasync_wmi_lib.so.*
%{_prefix}/lib/python/pysamba/*
%{_prefix}/lib/pkgconfig/wmiclient.pc
%{_prefix}/lib/libwmiclient.so*


%changelog
* Wed Sep 02 2015 John Prause <jprause@redhat.com> 1.3.13-6
- Fix issue with macro

* Tue Sep 01 2015 John Prause <jprause@redhat.com> 1.3.13-5
- Fix issue with Release param

* Tue Sep 01 2015 John Prause <jprause@redhat.com> 1.3.13-4
- Fix issue lib and bin paths

* Thu Aug 27 2015 John Prause <jprause@redhat.com> 1.3.13-3
- Fix issue with spec which caused prior build failure

* Wed Aug 26 2015 John Prause <jprause@redhat.com> 1.3.13-2
- Update to rhel7

* Mon Mar 16 2015 Joe VLcek <jvlcek@redhat.com> 1.3.13-1
- Initial build
